List Card Users
https://sandboxapi.onbrails.com/api/v2/virtualcards/users (opens in a new tab)
Fetch all users who have been issued cards
Query Params
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | integer | Number of results to return (default 50, max 100) | |
| nextCursor | string | Cursor for the next page of results | |
| prevCursor | string | Cursor for the previous page of results |
Request
Virtual Cards/list cards users [GET]
curl --request GET \
--url 'https://sandboxapi.onbrails.com/api/v2/virtualcards/users' \
--header 'Authorization: Bearer API-KEY' \
--header 'accept: application/json'Responses
🟢 200 - Result example
{
"status": true,
"message": "successfully fetched all virtual cards users",
"data": {
"cardUsers": [
{
"id": "81688670-afb6-4852-a2a6-2fe186eb186c",
"createdAt": "2022-12-17T16:54:44.424Z",
"updatedAt": "2022-12-17T16:54:44.424Z",
"customerEmail": "preciousgabby@gmail.com",
"firstName": "monasia",
"idNumber": "B21299039",
"idType": "PASSPORT",
"lastName": "mahlaya",
"phoneNumber": "+2349021534385",
"userPhoto": null,
"customerId": "8fa845e4-29f7-4006-9af6-c0fe04eea02f",
"line1": "Ikeja",
"city": "Mumabi",
"state": "Lagos",
"zipCode": "00234",
"country": "Nigeria",
"bvn": "12879009875",
"houseNumber": "accra",
"idImage": "https://image.com/image.jpg",
"kycPassed": null
},
{
"id": "e0a43deb-447d-4a13-ae72-b97f37cf8ee4",
"createdAt": "2022-12-16T17:23:14.769Z",
"updatedAt": "2022-12-16T17:23:14.769Z",
"customerEmail": "mosswesesssttt@gmail.com",
"firstName": "monasia",
"idNumber": "B11299039",
"idType": "PASSPORT",
"lastName": "mahlaya",
"phoneNumber": "+233544828683",
"userPhoto": null,
"customerId": "1ce3b06e-9c53-47fb-9e67-aaf5d02e23e0",
"line1": "Ikeja",
"city": "Mumabi",
"state": "Lagos",
"zipCode": "00234",
"country": "Nigeria",
"bvn": "19879009875",
"houseNumber": "accra",
"idImage": "https://image.com/image.jpg",
"kycPassed": null
}
],
"meta": {
"limit": 50,
"nextCursor": null,
"prevCursor": null,
"hasNextPage": false,
"hasPreviousPage": false
}
}
}